Skip to main content

attachEntityFile

Attaches a previously uploaded file blob to a supported entity

attachEntityFile(
input: AttachEntityFileInput!
): AttachEntityFilePayload

Arguments​

attachEntityFile.input ● AttachEntityFileInput! non-null input​

Parameters for AttachEntityFile

Type​

AttachEntityFilePayload object​

Autogenerated return type of AttachEntityFile.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateAttachEntityFile($input: AttachEntityFileInput!) {\n attachEntityFile(input: $input) { clientMutationId success }\n}","variables":{"input":{"entityType":"DAST_SCAN_DETAILS","entityId":"<entity_id>","blobSignedId":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.